% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/main_splinter.R
\name{extractSpliceEvents}
\alias{extractSpliceEvents}
\title{extractSpliceEvents}
\usage{
extractSpliceEvents(data = NULL, filetype = "mats", splicetype = "SE",
  fdr = 1, inclusion = 1)
}
\arguments{
\item{data}{character. path to file}

\item{filetype}{character. type of splicing output. c('mats','custom'). see Details.}

\item{splicetype}{character. c('SE', 'RI', 'MXE', 'A5SS', 'A3SS')}

\item{fdr}{numeric. false discovery rate filter range [0,1]}

\item{inclusion}{numeric. splicing inclusion range, takes absolute value}
}
\value{
list containing information on\cr
  (1) original file type\cr
  (2) splice event type\cr
  (3) data.frame with splicing regions
}
\description{
Extracts the location of target, upstream and downstream splice sites
Used for calculations and genome visualizations
Adds 1bp to 0base start (MATS format)
}
\details{
filetype 'custom' should provide a 9-column tab-delimited text file
   with the following columns:
   GeneID (Ensembl gene id), chr, strand,
   exonStart, exonEnd, upstreamES, upstreamEE, downstreamES, downstreamEE
   eg. ENSG0000012345 chr1 + 3 4 1 2 5 6

for filetype 'custom', coordinates are expected to be in base-1.
}
\examples{
data_path<-system.file("extdata",package="SPLINTER")
splice_data<-extractSpliceEvents(data=paste(data_path,"/skipped_exons.txt",sep=""))
}
\author{
Diana Low
}
\seealso{
\url{http://rnaseq-mats.sourceforge.net/user_guide.htm} for MATS file definition
}

